Bug 1299448 - Storage node heap size cannot be changed using JBoss ON UI
Storage node heap size cannot be changed using JBoss ON UI
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.3.4
Unspecified Unspecified
medium Severity high
: DR01
: JON 3.3.6
Assigned To: Michael Burman
Prachi
: Triaged
Depends On: 1299454
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 07:14 EST by bkramer
Modified: 2016-07-27 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Storage.png (178.24 KB, image/png)
2016-06-23 12:38 EDT, Prachi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2128321 None None None 2016-01-18 08:46 EST

  None (edit)
Description bkramer 2016-01-18 07:14:04 EST
Description of problem:

It is not possible to change storage node heap size via JBoss ON UI. 


Version-Release number of selected component (if applicable):

JBoss ON 3.3.4


How reproducible:

Always

Steps to Reproduce:
1. Follow the steps given in the documentation - 9.7. MANAGING THE STORAGE NODE HEAP (https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Admin_and_Config/config-storage.html)


Actual results:

Storage node's max heap is not changed. Instead, max heap value is set to the default one.


Expected results:

New value for storage node's max heap is properly set after storage node is restarted.



Additional info:
Comment 1 bkramer 2016-01-18 09:52:54 EST
Attempt to change the value of max heap parameter using JBoss ON UI logs the following in the server.log file:

**********************************
14:49:24,304 ERROR [com.datastax.driver.core.RequestHandler] (New I/O worker #87) Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
14:49:24,305 INFO  [org.rhq.enterprise.server.cloud.StorageNodeManagerBean] (http-/0.0.0.0:7080-7) Failed to retrieve metric [Calculated.FreeDiskToDataSizeRatio] data for StorageNode[id=1001, address=biljana.usersys.redhat.com, cqlPort=9142, operationMode=NORMAL, mtime=1452174777918]: Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
14:49:24,307 ERROR [com.datastax.driver.core.RequestHandler] (New I/O worker #87) Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
14:49:24,308 INFO  [org.rhq.enterprise.server.cloud.StorageNodeManagerBean] (New I/O worker #87) Failed to retrieve metric [Calculated.HeapUsagePercentage] data for StorageNode[id=1001, address=biljana.usersys.redhat.com, cqlPort=9142, operationMode=NORMAL, mtime=1452174777918]: Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
14:49:41,278 ERROR [com.datastax.driver.core.RequestHandler] (New I/O worker #87) Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
14:49:41,280 ERROR [org.jboss.as.ejb3.invocation] (http-/0.0.0.0:7080-1) JBAS014134: EJB Invocation failed on component MeasurementDataManagerBean for method public abstract java.util.List org.rhq.enterprise.server.measurement.MeasurementDataManagerRemote.findDataForResource(org.rhq.core.domain.auth.Subject,int,int[],long,long,int): javax.ejb.EJBException: com.datastax.driver.core.exceptions.DriverInternalError: Tried to execute unknown prepared query 15f2e28144a6700f02c39fcee365b36d
...
**********************************
Comment 2 Larry O'Leary 2016-01-21 10:31:56 EST
The UI may indicate the change was complete and successful, but it is not.
Comment 4 Michael Burman 2016-02-01 07:36:22 EST
Fixed in the master:

commit 6310ed48ce0f496bda2a1791cc1d08e7135ff3a9
Author: Michael Burman <miburman@redhat.com>
Date:   Mon Feb 1 14:35:41 2016 +0200

    [BZ 1299448] Do not set heapMinSize on server side, it is readOnly attribute on the plugin and will fail
Comment 5 Mike McCune 2016-03-28 19:05:20 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Simeon Pinder 2016-06-17 21:11:41 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 9 Prachi 2016-06-23 12:37:27 EDT
Verified and tested successfully in JON 3.3.6 DR01.
Please refer storage.png for reference, value has been changed to 1024 instead of default value(512).
Comment 10 Prachi 2016-06-23 12:38 EDT
Created attachment 1171584 [details]
Storage.png
Comment 13 errata-xmlrpc 2016-07-27 11:32:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.